Subject: Re: sky2 fails when memory exceeds 2GB on amd64 kernel

From: Ben Hutchings <[email-masked]>
Date: Sun, 21 Feb 2010 02:06:06 +0000

Stephen,

Debian received this bug report on sky2:

Dale Schroeder wrote:
> No matter what brand, size, or speed of ddr2 RAM I try, I cannot 
> successfully boot when the installed memory is greater than 2GB.
> The system is an Acer Aspire M1100 with the most recent BIOS.  I have 
> tried with kernels 2.6.32-5 and 2.6.30-8squeeze1.
> 
> During the boot sequence, sky2 fails with a 0x2010 pci error; then 
> several programs slowly load until dmsg appears, at which time the 
> screen fills with hexadecimal errors similar to those in this debian bug 
> thread:
> 
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=457967
> 
> Disabling the network interface in the BIOS allows bootup to finish, 
> although some programs fail to load due to the missing network connection.
> Decreasing the RAM to 2GB returns booting to normal.
> 
> I've seen numerous references to bugs with this network hardware and the 
> amd64 kernel, but none related to adding extra memory.  I am unaware as 
> to how I can capture the errors, since I cannot finish the boot process 
> when the errors happen.

Further information:

> I tested another network card, a Netgear GA311 which uses the r8169 driver.
> With this card, all 4GB of memory is recognized and the system 
> successfully boots.
> This would seem to rule out the BIOS and points to sky2 on the Marvell 
> m/b chip
> being my problem.
> 
> Obviously, the new card doesn't resolve the bug, but it does solve my 
> problem.

Does this sound like a plausible symptom of the bugs fixed by:

f6815077e75c5b7f55b56fc3788e328514d4e72a sky2: fix transmit DMA map leakage
3fbd9187d004149fb8a98c9cb51ef9f4a4f66aca sky2: hand receive DMA mapping failures

In any case, are the above suitable for 2.6.32-stable (once merged by
Linus)?

Ben.

-- 
Ben Hutchings
73.46% of all statistics are made up.